## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContextDefault::DefaultCollationCompareFunctor Class Reference

`#include <StylesheetExecutionContextDefault.hpp>`

Inheritance diagram for StylesheetExecutionContextDefault::DefaultCollationCompareFunctor:

[legend]
Collaboration diagram for StylesheetExecutionContextDefault::DefaultCollationCompareFunctor:

[legend]
List of all members.

## Public Methods

- DefaultCollationCompareFunctor ()
- virtual ~DefaultCollationCompareFunctor ()
- virtual int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, eCaseOrder theCaseOrder=eDefault) const
- virtual int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, const XalanDOMChar *theLocale, eCaseOrder theCaseOrder=eDefault) const

## Constructor & Destructor Documentation

StylesheetExecutionContextDefault::DefaultCollationCompareFunctor::DefaultCollationCompareFunctor ( | )

StylesheetExecutionContextDefault::DefaultCollationCompareFunctor::~DefaultCollationCompareFunctor ( | )`[virtual]`

## Member Function Documentation

int StylesheetExecutionContextDefault::DefaultCollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| const XalanDOMChar * theLocale,
| eCaseOrder theCaseOrder = eDefault ) const`[virtual]`

| Reimplemented from StylesheetExecutionContextDefault::CollationCompareFunctor.

int StylesheetExecutionContextDefault::DefaultCollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| eCaseOrder theCaseOrder = eDefault ) const`[virtual]`

| Reimplemented from StylesheetExecutionContextDefault::CollationCompareFunctor.

The documentation for this class was generated from the following file:

- StylesheetExecutionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.